# ``twisted`.`protocols`.`amp`.`_SwitchBox``

class documentation

`class _SwitchBox(AmpBox): (source)`

View In Hierarchy

Implementation detail of ProtocolSwitchCommand: I am an AmpBox which sets up state for the protocol to switch.

Method | `__init__` | Create a _SwitchBox with the protocol to switch to after being sent.
Method | `__repr__` | Undocumented
Instance Variable | `innerProto` | Undocumented
Method | `_sendTo` | Send me; I am the last box on the connection. All further traffic will be over the new protocol.

Inherited from `AmpBox`:

Method | `copy` | Return another AmpBox just like me.
Method | `serialize` | Convert me into a wire-encoded string.
Class Variable | `__slots__` | Undocumented

def __init__(self, innerProto, **kw): (source)
overrides `twisted.protocols.amp.AmpBox.__init__`
Create a _SwitchBox with the protocol to switch to after being sent.

Parameters
innerProto:an IProtocol provider. | the protocol instance to switch to.
**kw | Undocumented

def __repr__(self): (source)
overrides `twisted.protocols.amp.AmpBox.__repr__`

Undocumented

Returns
`str` | Undocumented

innerProto = (source)

Undocumented

def _sendTo(self, proto): (source)
overrides `twisted.protocols.amp.AmpBox._sendTo`
Send me; I am the last box on the connection. All further traffic will be over the new protocol.